from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("LICENSE", "r", encoding="utf-8") as f:
    license_text = f.read()

setup(
    name="scanux",
    version="0.1.0",
    author="Yassir AIT EL AIZZI",
    author_email="yassir.aitelaizzi@gmail.com",
    description="System scanning tool for Linux and Windows systems",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yassir-aea/scanux",
    project_urls={
        "Homepage": "https://github.com/yassir-aea/scanux",
    },
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: MIT License",
        "Operating System :: POSIX :: Linux",
        "Operating System :: Microsoft :: Windows",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Topic :: System :: Systems Administration",
        "Topic :: Security",
    ],
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    python_requires=">=3.6",
    install_requires=[
        "psutil>=5.8.0",
        "rich>=10.0.0",
        "click>=8.0.0",
        "python-dateutil>=2.8.0",
    ],
    entry_points={
        "console_scripts": [
            "scanux=scanux.cli:main",
        ],
    },
    license="MIT",
    include_package_data=True,
) 